%define	name	bzflag
%define version 2.0.0
%define release 1mdk
%define	Summary	A multiplayer 3D tank battle game
%define	rdate	20050117

Name:		%{name}
Summary:	%{Summary}
Version:	%{version}
Release:	%{release}
Source0:	http://download.sourceforge.net/bzflag/%{name}-%{version}.%{rdate}.tar.bz2
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
URL:		http://BZFlag.SourceForge.net/
License:	GPL
Group:		Games/Arcade
BuildRequires:	Mesa-common-devel XFree86-devel
BuildConflicts:	freetds-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Epoch:		1

%description
BZFlag is a multiplayer 3D tank battle game. It's one of the most popular games
ever on Silicon Graphics systems.

%prep
%setup -q -n %{name}-%{version}.%{rdate}

%build
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make CXXFLAGS="$RPM_OPT_FLAGS -ffast-math -fno-exceptions -fsigned-char"

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" icon="%{name}.png" \
  needs="x11" section="More Applications/Games/Arcade" title="BZflag" \
  longtitle="%{Summary}"
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README BUGS
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_mandir}/*/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Wed Jan 19 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0.0-1mdk
- 2.0.0 "Falcor's Despair"
- update compile flags

* Tue Dec 14 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.10.8-1mdk
- 1.10.8
- drop Packager tag

* Mon Aug 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.10.6-3mdk
- Rebuild with new menu

* Sun Jun 06 2004 Michael Scherer <misc@mandrake.org> 1.10.6-2mdk 
- rebuild for new gcc 

* Thu May 20 2004 Michael Scherer <misc@mandrake.org> 1.10.6-1mdk
- New release 1.10.6

* Thu Jan 29 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 1.10.4-1mdk
- new release

* Wed Dec 10 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.10-1mdk
- 1.10
- don't bzip2 icons in src.rpm
- nicer formatting in spec

* Sun Jun 29 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.7g2-1mdk
- 1.7g2
- use %%make macro
- drop P0
- %%configure is now used
- ensure that correct compile flags are used
- use %%makeinstall_std etc. no longer need for doing install manually
- change summary macro to avoid potentially conflicts if we were to build
  debug package

* Fri Dec 13 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7g0-1mdk
- new version

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.7e6-4mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.7e6-3mdk
- Automated rebuild with gcc3.2

* Wed Jul  3 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e6-2mdk
- added manpages, thx to Han Boetes <han@mijncomputer.nl> 

* Wed Jun 19 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e6-1mdk
- new version

* Wed May  8 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e4-3mdk
- write a patch for gcc-3.1

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.7e4-2mdk
- xpm -> png icons

* Fri Dec  7 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e4-1mdk
- new version

* Mon Oct 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e2-3mdk
- fix obsolete-tag Copyright
- fix obsolete-tag Serial

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e2-2mdk
- rebuild

* Thu Apr 26 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e2-1mdk
- 1.7e2

* Mon Mar 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e0-2mdk
- add a serial to make it upgrade the older version..

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7e0-1mdk
- 1.7e0

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7d.9-5mdk
- recompile with latest gcc from chmou
- provide 48x48 icon

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7d.9-4mdk
- recompile against newest libstdc++
- fix compile against gcc-2.96

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7d.9-3mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.7d.9-2mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.7d.9-1mdk
- first package for Linux-Mandrake

